FROM debian
# FROM consol/debian-xfce-vnc:latest
# Switch to root user to install additional software
USER 0

RUN apt update
RUN apt install -yq libssl-dev \
  wget curl unzip \
  openssl \
  ca-certificates \
  fontconfig \
  fonts-dejavu \
  libxext6 \
  libxrender1 \
  libxtst6 \
  gnupg \
  supervisor \
  python3 python3-pip python3-venv\
  scrot python3-tk python3-dev \
  libx11-6 libx11-dev libxext-dev libxtst6 \
  libpng-dev libjpeg-dev libtiff-dev libfreetype6-dev \
  x11-xserver-utils \
  xserver-xorg \
  fluxbox \
  xvfb \
  gnome-screenshot \
  libsqlite3-dev sqlite3 sqlitebrowser \
  sudo \
  && apt-get clean

USER 1000

